@book{Foley:1990,
 author = {Foley, James D. and van Dam, Andries and Feiner, Steven K. and Hughes, John F.},
 title = {Computer Graphics: Principles and Practice (2Nd Ed.)},
 year = {1990},
 isbn = {0-201-12110-7},
 publisher = {Addison-Wesley Longman Publishing Co., Inc.},
 address = {Boston, MA, USA},
} 

@article{akinci2012versatile,
  title={Versatile rigid-fluid coupling for incompressible SPH},
  author={Akinci, Nadir and Ihmsen, Markus and Akinci, Gizem and Solenthaler, Barbara and Teschner, Matthias},
  journal={ACM Transactions on Graphics (TOG)},
  volume={31},
  number={4},
  pages={62},
  year={2012},
  publisher={ACM}
}

@inproceedings{angelidis2005simulation,
  title={Simulation of smoke based on vortex filament primitives},
  author={Angelidis, Alexis and Neyret, Fabrice},
  booktitle={Proceedings of the 2005 ACM SIGGRAPH/Eurographics symposium on Computer animation},
  pages={87--96},
  year={2005},
  organization={ACM}
} 

@article{ariman1974applications,
  title={Applications of microcontinuum fluid mechanics},
  author={Ariman, TTND and Turk, MA and Sylvester, ND},
  journal={International Journal of Engineering Science},
  volume={12},
  number={4},
  pages={273--293},
  year={1974},
  publisher={Elsevier}
}

@misc{bender20017positionBasedDynamicLibrary,
 author = {Bender, Jan},
 howpublished = {https://github.com/ InteractiveComputerGraphics/PositionBasedDynamics},
 title = {PositionBasedDynamics Library                               },
 year = {2017}
}

@misc{bender20017splisplash,
 author = {Bender, Jan},
 howpublished = {https://github.com/ InteractiveComputerGraphics/SPlisHSPlasH},
 title = {SPlisHSPlasH Library                                  },
 year = {2017}
}

@article{bender2017divergence,
  title={Divergence-free SPH for incompressible and viscous fluids},
  author={Bender, Jan and Koschier, Dan},
  journal={IEEE transactions on visualization and computer graphics},
  volume={23},
  number={3},
  pages={1193--1206},
  year={2017},
  publisher={IEEE}
}

@inproceedings{bridson2007fluid,
  title={Fluid simulation: SIGGRAPH 2007 course notes Video files associated with this course are available from the citation page},
  author={Bridson, Robert and M{\"u}ller-Fischer, Matthias},
  booktitle={ACM SIGGRAPH 2007 courses},
  pages={1--81},
  year={2007},
  organization={ACM}
}

@article{busuke1969two,
  title={Two-dimensional shear flows of linear micropolar fluids},
  author={Busuke, Hudimoto and Tatsuo, Tokuoka},
  journal={International Journal of Engineering Science},
  volume={7},
  number={5},
  pages={515--522},
  year={1969},
  publisher={Elsevier}
}

@article{chen2010theory,
  title={Theory and simulation of micropolar fluid dynamics},
  author={Chen, J and Liang, C and Lee, JD},
  journal={Proceedings of the Institution of Mechanical Engineers, Part N: Journal of Nanoengineering and Nanosystems},
  volume={224},
  number={1-2},
  pages={31--39},
  year={2010},
  publisher={SAGE Publications Sage UK: London, England}
}

@inproceedings{cornelis2014iisph,
  title={IISPH-FLIP for incompressible fluids},
  author={Cornelis, Jens and Ihmsen, Markus and Peer, Andreas and Teschner, Matthias},
  booktitle={Computer Graphics Forum},
  volume={33},
  number={2},
  pages={255--262},
  year={2014},
  organization={Wiley Online Library}
}

@article{cummins1999sph,
  title={An SPH projection method},
  author={Cummins, Sharen J and Rudman, Murray},
  journal={Journal of computational physics},
  volume={152},
  number={2},
  pages={584--607},
  year={1999},
  publisher={Elsevier}
}

@article{de2015power,
  title={Power particles: an incompressible fluid solver based on power diagrams.},
  author={de Goes, Fernando and Wallez, Corentin and Huang, Jin and Pavlov, Dmitry and Desbrun, Mathieu},
  journal={ACM Trans. Graph.},
  volume={34},
  number={4},
  pages={50--1},
  year={2015}
}

@article{deul2016position,
  title={Position-based rigid-body dynamics},
  author={Deul, Crispin and Charrier, Patrick and Bender, Jan},
  journal={Computer Animation and Virtual Worlds},
  volume={27},
  number={2},
  pages={103--112},
  year={2016},
  publisher={Wiley Online Library}
}

@article{eringen1966theory,
  title={Theory of micropolar fluids},
  author={Eringen, A Cemal},
  journal={Journal of Mathematics and Mechanics},
  pages={1--18},
  year={1966},
  publisher={JSTOR}
}

@misc{eringenmicrocontinuum,
  title={Microcontinuum field theories II: fluent media, 2001},
  author={Eringen, AC},
  publisher={Springer, New York},
year = {2001}
}

@inproceedings{fedkiw2001visual,
  title={Visual simulation of smoke},
  author={Fedkiw, Ronald and Stam, Jos and Jensen, Henrik Wann},
  booktitle={Proceedings of the 28th annual conference on Computer graphics and interactive techniques},
  pages={15--22},
  year={2001},
  organization={ACM}
}

@article{ghia1982high,
  title={High-Re solutions for incompressible flow using the Navier-Stokes equations and a multigrid method},
  author={Ghia, UKNG and Ghia, Kirti N and Shin, CT},
  journal={Journal of computational physics},
  volume={48},
  number={3},
  pages={387--411},
  year={1982},
  publisher={Elsevier}
}

@article{gingold1977smoothed,
  title={Smoothed particle hydrodynamics: theory and application to non-spherical stars},
  author={Gingold, Robert A and Monaghan, Joseph J},
  journal={Monthly notices of the royal astronomical society},
  volume={181},
  number={3},
  pages={375--389},
  year={1977},
  publisher={Oxford University Press Oxford, UK}
}

@article{golas2012large,
  title={Large-scale fluid simulation using velocity-vorticity domain decomposition},
  author={Golas, Abhinav and Narain, Rahul and Sewall, Jason and Krajcevski, Pavel and Dubey, Pradeep and Lin, Ming},
  journal={ACM Transactions on Graphics (TOG)},
  volume={31},
  number={6},
  pages={148},
  year={2012},
  publisher={ACM}
}

@inproceedings{hong2008bubbles,
  title={Bubbles alive},
  author={Hong, Jeong-Mo and Lee, Ho-Young and Yoon, Jong-Chul and Kim, Chang-Hun},
  booktitle={ACM Transactions on Graphics (TOG)},
  volume={27},
  number={3},
  pages={48},
  year={2008},
  organization={ACM}
}

@inproceedings{ihmsen2011parallel,
  title={A Parallel SPH Implementation on Multi-Core CPUs},
  author={Ihmsen, Markus and Akinci, Nadir and Becker, Markus and Teschner, Matthias},
  booktitle={Computer Graphics Forum},
  volume={30},
  number={1},
  pages={99--112},
  year={2011},
  organization={Wiley Online Library}
}

@article{ihmsen2014implicit,
  title={Implicit incompressible SPH},
  author={Ihmsen, Markus and Cornelis, Jens and Solenthaler, Barbara and Horvath, Christopher and Teschner, Matthias},
  journal={IEEE Transactions on Visualization and Computer Graphics},
  volume={20},
  number={3},
  pages={426--435},
  year={2014},
  publisher={IEEE}
}

@article{ihmsen2014sph,
  title={SPH fluids in computer graphics},
  author={Ihmsen, Markus and Orthmann, Jens and Solenthaler, Barbara and Kolb, Andreas and Teschner, Matthias},
  year={2014},
  publisher={The Eurographics Association}
}

@article{jang2010multilevel,
  title={Multilevel vorticity confinement for water turbulence simulation},
  author={Jang, Taekwon and Kim, Heeyoung and Bae, Jinhyuk and Seo, Jaewoo and Noh, Junyong},
  journal={The Visual Computer},
  volume={26},
  number={6-8},
  pages={873--881},
  year={2010},
  publisher={Springer}
}

@article{khonsari1989performance,
  title={On the performance of finite journal bearings lubricated with micropolar fluids},
  author={Khonsari, Mansour Mohammadian and Brewe, David E},
  journal={Tribology transactions},
  volume={32},
  number={2},
  pages={155--160},
  year={1989},
  publisher={Taylor \& Francis}
}

@article{kim2013closest,
  title={Closest point turbulence for liquid surfaces},
  author={Kim, Theodore and Tessendorf, Jerry and Thuerey, Nils},
  journal={ACM Transactions on Graphics (TOG)},
  volume={32},
  number={2},
  pages={15},
  year={2013},
  publisher={ACM}
}

@inproceedings{kim2008wavelet,
  title={Wavelet turbulence for fluid simulation},
  author={Kim, Theodore and Th{\"u}rey, Nils and James, Doug and Gross, Markus},
  booktitle={ACM Transactions on Graphics (TOG)},
  volume={27},
  number={3},
  pages={50},
  year={2008},
  organization={ACM}
}

@article{lee1971boundary,
  title={Boundary effects of orientation of nematic liquid crystals},
  author={Lee, James D and Eringen, A Cemal},
  journal={The Journal of Chemical Physics},
  volume={55},
  number={9},
  pages={4509--4512},
  year={1971},
  publisher={AIP}
}

@inproceedings{lentine2011mass,
  title={Mass and momentum conservation for fluid simulation},
  author={Lentine, Michael and Aanjaneya, Mridul and Fedkiw, Ronald},
  booktitle={Proceedings of the 2011 ACM SIGGRAPH/Eurographics Symposium on Computer Animation},
  pages={91--100},
  year={2011},
  organization={ACM}
}

@book{lukaszewicz1999micropolar,
  title={Micropolar fluids: theory and applications},
  author={Lukaszewicz, Grzegorz},
  year={1999},
  publisher={Springer Science \& Business Media}
}

@article{macklin2013position,
  title={Position based fluids},
  author={Macklin, Miles and M{\"u}ller, Matthias},
  journal={ACM Transactions on Graphics (TOG)},
  volume={32},
  number={4},
  pages={104},
  year={2013},
  publisher={ACM}
}

@article{mercier2015surface,
  title={Surface turbulence for particle-based liquid simulations},
  author={Mercier, Olivier and Beauchemin, Cynthia and Thuerey, Nils and Kim, Theodore and Nowrouzezahrai, Derek},
  journal={ACM Transactions on Graphics (TOG)},
  volume={34},
  number={6},
  pages={202},
  year={2015},
  publisher={ACM}
}

@article{monaghan1989problem,
  title={On the problem of penetration in particle methods},
  author={Monaghan, JJ},
  journal={Journal of Computational physics},
  volume={82},
  number={1},
  pages={1--15},
  year={1989},
  publisher={Elsevier}
}

@article{monaghan1992smoothed,
  title={Smoothed particle hydrodynamics},
  author={Monaghan, Joe J},
  journal={Annual review of astronomy and astrophysics},
  volume={30},
  number={1},
  pages={543--574},
  year={1992},
  publisher={Annual Reviews 4139 El Camino Way, PO Box 10139, Palo Alto, CA 94303-0139, USA}
}

@article{monaghan2002sph,
  title={SPH compressible turbulence},
  author={Monaghan, JJ},
  journal={Monthly Notices of the Royal Astronomical Society},
  volume={335},
  number={3},
  pages={843--852},
  year={2002},
  publisher={Wiley Online Library}
}

@inproceedings{narain2008fast,
  title={Fast animation of turbulence using energy transport and procedural synthesis},
  author={Narain, Rahul and Sewall, Jason and Carlson, Mark and Lin, Ming C},
  booktitle={ACM Transactions on Graphics (TOG)},
  volume={27},
  number={5},
  pages={166},
  year={2008},
  organization={ACM}
}

@article{pabst2005micropolar,
  title={Micropolar materials},
  author={Pabst, WILLI},
  journal={Ceramics- Silikaty},
  volume={49},
  number={3},
  pages={170--180},
  year={2005}
}

@inproceedings{park2005vortex,
  title={Vortex fluid for gaseous phenomena},
  author={Park, Sang Il and Kim, Myoung Jun},
  booktitle={Proceedings of the 2005 ACM SIGGRAPH/Eurographics symposium on Computer animation},
  pages={261--270},
  year={2005},
  organization={ACM}
}

@article{pfaff2012lagrangian,
  title={Lagrangian vortex sheets for animating fluids},
  author={Pfaff, Tobias and Thuerey, Nils and Gross, Markus},
  journal={ACM Transactions on Graphics (TOG)},
  volume={31},
  number={4},
  pages={112},
  year={2012},
  publisher={ACM}
}

@inproceedings{premvzoe2003particle,
  title={Particle-Based Simulation of Fluids},
  author={Prem{\v{z}}oe, Simon and Tasdizen, Tolga and Bigler, James and Lefohn, Aaron and Whitaker, Ross T},
  booktitle={Computer Graphics Forum},
  volume={22},
  number={3},
  pages={401--410},
  year={2003},
  organization={Wiley Online Library}
}

@article{price2010smoothed,
  title={Smoothed particle magnetohydrodynamics--IV. Using the vector potential},
  author={Price, Daniel J},
  journal={Monthly Notices of the Royal Astronomical Society},
  volume={401},
  number={3},
  pages={1475--1499},
  year={2010},
  publisher={Blackwell Publishing Ltd Oxford, UK}
}

@inproceedings{schechter2008evolving,
  title={Evolving sub-grid turbulence for smoke animation},
  author={Schechter, Hagit and Bridson, Robert},
  booktitle={Proceedings of the 2008 ACM SIGGRAPH/Eurographics symposium on Computer animation},
  pages={1--7},
  year={2008},
  organization={Eurographics Association}
}

@article{schechter2012ghost,
  title={Ghost SPH for animating water},
  author={Schechter, Hagit and Bridson, Robert},
  journal={ACM Transactions on Graphics (TOG)},
  volume={31},
  number={4},
  pages={61},
  year={2012},
  publisher={ACM}
}

@inproceedings{selle2005vortex,
  title={A vortex particle method for smoke, water and explosions},
  author={Selle, Andrew and Rasmussen, Nick and Fedkiw, Ronald},
  booktitle={ACM Transactions on Graphics (TOG)},
  volume={24},
  number={3},
  pages={910--914},
  year={2005},
  organization={ACM}
}

@article{shao2015realistic,
  title={Realistic and stable simulation of turbulent details behind objects in smoothed-particle hydrodynamics fluids},
  author={Shao, Xuqiang and Zhou, Zhong and Zhang, Jinsong and Wu, Wei},
  journal={Computer Animation and Virtual Worlds},
  volume={26},
  number={1},
  pages={79--94},
  year={2015},
  publisher={Wiley Online Library}
}

@inproceedings{solenthaler2009predictive,
  title={Predictive-corrective incompressible SPH},
  author={Solenthaler, Barbara and Pajarola, Renato},
  booktitle={ACM transactions on graphics (TOG)},
  volume={28},
  number={3},
  pages={40},
  year={2009},
  organization={ACM}
}

@article{weissmann20092,
  title={2 Real-time interactive simulation of smoke using discrete integrable vortex filaments},
  author={Wei{\ss}mann, Steffen and Pinkall, Ulrich},
  journal={Filament-Based Smoke},
  pages={29},
  year={2009}
}

@inproceedings{weissmann2010filament,
  title={Filament-based smoke with vortex shedding and variational reconnection},
  author={Wei{\ss}mann, Steffen and Pinkall, Ulrich},
  booktitle={ACM Transactions on Graphics (TOG)},
  volume={29},
  number={4},
  pages={115},
  year={2010},
  organization={ACM}
}

@inproceedings{yang2016enriching,
  title={Enriching SPH simulation by approximate capillary waves},
  author={Yang, Sheng and He, Xiaowei and Wang, Huamin and Li, Sheng and Wang, Guoping and Wu, Enhua and Zhou, Kun},
  booktitle={Proceedings of the ACM SIGGRAPH/Eurographics Symposium on Computer Animation},
  pages={29--36},
  year={2016},
  organization={Eurographics Association}
}

@article{yuan2012incorporating,
  title={Incorporating stochastic turbulence in particle-based fluid simulation},
  author={Yuan, Zhi and Zhao, Ye and Chen, Fan},
  journal={The Visual Computer},
  volume={28},
  number={5},
  pages={435--444},
  year={2012},
  publisher={Springer}
}

@article{zhang2014pppm,
  title={A PPPM fast summation method for fluids and beyond},
  author={Zhang, Xinxin and Bridson, Robert},
  journal={ACM Transactions on Graphics (TOG)},
  volume={33},
  number={6},
  pages={206},
  year={2014},
  publisher={ACM}
}

@article{zhang2015restoring,
  title={Restoring the missing vorticity in advection-projection fluid solvers},
  author={Zhang, Xinxin and Bridson, Robert and Greif, Chen},
  journal={ACM Transactions on Graphics (TOG)},
  volume={34},
  number={4},
  pages={52},
  year={2015},
  publisher={ACM}
}

@inproceedings{zhu2010creating,
  title={Creating and preserving vortical details in sph fluid},
  author={Zhu, Bo and Yang, Xubo and Fan, Ye},
  booktitle={Computer Graphics Forum},
  volume={29},
  number={7},
  pages={2207--2214},
  year={2010},
  organization={Wiley Online Library}
}

@article{lucy1977numerical,
  title={A numerical approach to the testing of the fission hypothesis},
  author={Lucy, Leon B},
  journal={The astronomical journal},
  volume={82},
  pages={1013--1024},
  year={1977}
}

@inproceedings{bender2017micropolar,
  title={A micropolar material model for turbulent SPH fluids},
  author={Bender, Jan and Koschier, Dan and Kugelstadt, Tassilo and Weiler, Marcel},
  booktitle={Proceedings of the ACM SIGGRAPH/Eurographics Symposium on Computer Animation},
  pages={4},
  year={2017},
  organization={ACM}
}

@article{marshall1997finite,
	title={A finite-volume, incompressible Navier Stokes model for studies of the ocean on parallel computers},
	author={Marshall, John and Adcroft, Alistair and Hill, Chris and Perelman, Lev and Heisey, Curt},
	journal={Journal of Geophysical Research: Oceans},
	volume={102},
	number={C3},
	pages={5753--5766},
	year={1997},
	publisher={Wiley Online Library}
}

@article{sahu1985navier,
	title={Navier-Stokes computations of projectile base flow with and without mass injection},
	author={Sahu, Jubaraj and Nietubicz, Charles J and Steger, Joseph L},
	journal={AIAA journal},
	volume={23},
	number={9},
	pages={1348--1355},
	year={1985}
}

@article{jameson1998optimum,
	title={Optimum aerodynamic design using the Navier--Stokes equations},
	author={Jameson, Antony and Martinelli, L and Pierce, NA},
	journal={Theoretical and computational fluid dynamics},
	volume={10},
	number={1},\textsl{}
	pages={213--237},
	year={1998},
	publisher={Springer}
}

@inproceedings{reichl2014interactive,
	title={Interactive Rendering of Giga-Particle Fluid Simulations.},
	author={Reichl, Florian and Chajdas, Matth{\"a}us G and Schneider, Jens and Westermann, R{\"u}diger},
	booktitle={High Performance Graphics},
	year={2014}
}